Subject: bug#41821: 28.0.50; read-directory-name in vc commands should provide defaults from projects

From: Juri Linkov <[email-masked]>
Date: Mon, 29 Jun 2020 00:51:12 +0300

>> > Actually, I have a question: isn't project.el conceptually a
>> > higher-level feature than VC?  If so, how come VC wants to call
>> > project.el?
>>
>> VC doesn't serve project.el only. project.el doesn't solely use VC.
>
> Yes, but that's not what I asked.  I have the impression that
> project.el builds on VC as one project back-end, so it sounds strange
> to me that VC turns around and calls project.el for something.

By analogy, vc-git.el is one of back-ends of vc.el, so in vc-git.el
there is such line for using vc functions:

  (require 'vc)

So analogously, vc.el is one of back-ends of project.el, so in vc.el
there should be such line for using project functions:

  (require 'project)